Subject: [PATCH 2/2] kcov: make kcov work properly with KASLR enabled

From: [email-masked] (Quentin Casasnovas)
Date: Thu, 26 Jan 2017 12:53:39 +0100

On Mon, Dec 12, 2016 at 07:58:03AM +0100, Dmitry Vyukov wrote:
> On Sun, Dec 11, 2016 at 10:37 PM, Alexander Popov <[email-masked]> wrote:
> > On 11.12.2016 12:32, Dmitry Vyukov wrote:
> >> On Sun, Dec 11, 2016 at 1:50 AM, Alexander Popov <[email-masked]> wrote:
> >>> Subtract KASLR offset from the kernel addresses reported by kcov.
> >>> Tested on x86_64 and AArch64 (Hikey LeMaker).
> >>>
> >>> Signed-off-by: Alexander Popov <[email-masked]>
> >>> ---
> >>>  kernel/kcov.c | 8 +++++++-
> >>>  1 file changed, 7 insertions(+), 1 deletion(-)
> >>
> >> I think generally this is the right thing to do.
> >>
> >>  There are 2 pending patches for kcov by +Quentin (hopefully in mm):
> >> "kcov: add AFL-style tracing"
> >> "kcov: size of arena is now given in bytes"
> >> https://groups.google.com/forum/#!topic/syzkaller/gcqbIhKjGcY
> >> https://groups.google.com/d/msg/syzkaller/gcqbIhKjGcY/KQFryjBKCAAJ
> >>
> >> Your patch probably conflicts with them.
> >> Should you base them on top of these patches, so that Andrew can merge
> >> it without conflicts?
> >
> > Excuse me, I can't find these patches in:
> > git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> > git://git.kernel.org/pub/scm/linux/kernel/git/mhocko/mm.git
> > git://git.cmpxchg.org/linux-mmots.git
> >
> > Could you point at the tree which I can rebase onto?
> > Should I cherry-pick Quentin's patches manually?
> 
> 
> Quentin, do you know destiny of your patches? They does not seem to be
> in mm tree.

Huh since apologies, looks like I messed up my filters and completely
missed this thread.  I was going to ask where my patches landed and who
should take them...

I'm happy to re-send them rebased on the mm tree if that's where they're
going to land initially.

Thanks,
Quentin

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 801 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20170126/3f361a6a/attachment.sig>